package Logs;

use Editor;
use Settings;
use TS;


#Provides coding blocks for log files.

sub loghead {
	my ($enamel) = @_;
	print <<END;
<table border="1" cellspacing="1" width="100%" id="editors">
  <tr>
    <td width="16%" align="center">
      <a href="logs.cgi?name=$enamel&what=4">$TS::TS_logs_profile</a>
    </td>
    <td width="16%" align="center">
      <a href="logs.cgi?name=$enamel&what=8">$TS::TS_logs_statistics</a>
    </td>
    <td width="17%" align="center">
      <a href="logs.cgi?name=$enamel&what=2">$TS::TS_logs_catrequests</a>
    </td>
    <td width="17%" align="center">
      <a href="logs.cgi?name=$enamel&what=1">$TS::TS_logs_editdetail</a>
    </td>
    <td width="16%" align="center">
      <a href="viewedit.cgi">$TS::TS_logs_viewedit</a>
    </td>
  </tr>
END

	if ($isMeta eq "1") {
		print <<END;
  <tr>
    <td width="16%" align="center">
      <a href="reqlog.cgi?app=$enamel">$TS::TS_logs_catrequests (meta)</a>
    </td>
    <td width="16%" align="center">
      <a href="reqlog.cgi?app=$enamel&num=orig">$TS::TS_logs_editorapplication</a>
    </td>
    <td width="16%" align="center">
      <a href="metalog.cgi?name=$enamel">$TS::TS_logs_metaeditorlog</a>
    </td>
    <td width="16%" align="center">
      <a href="gemail.cgi?name=$enamel">$TS::TS_logs_lookupemail</a>
    </td>
    <td width="16%" align="center">
      <a href="mwarnlog.cgi?name=$enamel">$TS::TS_logs_warninglog</a>
    </td>
  </tr>
  <tr>
    <td width="16%" align="center">
      <a href="ededitor.cgi?editor=$enamel">$TS::TS_logs_changeprivs</a>
    </td>
  </tr>
END
	}

	print "</table>";

	if ($isMeta eq "1") {
		#print "<p>$TS::TS_logs_profilenotes: <a href=\"pnote.cgi?name=$enamel\">- $TS::TS_logs_addnote</a>";
		#open(USERS, "$path_data/logs/pnotes/$enamel.note");
		#$notes = <USERS>;
		#close(USERS);

		#$notes=~s/\"\>META\: /">$TS::TS_logs_PNmeta: /g;
		#$notes=~s/<br>NOTE: /<br>$TS::TS_logs_PNnote: /g;
		#$notes=~s/<input type=\"submit\" value=\"Remove\"/<input type="submit" value="$TS::TS_logs_PNremove"/g;

		#print <<HTML_QUOTE;
		#<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="400">
		#HTML_QUOTE

		#Put lower down for now.
		#if ($isMeta eq 1) { profilenote($enamel) };

		#print "$notes";
		#print "</table>";
	}

	#print "</ul>";

	return 1;
}


#Make request notes
sub GenReqNotes
{
	my($app, $act) = @_;

	my $lang_note = lc($TS::TS_logs_PNnote);

	print <<END;
<font size="4">$TS::TS_logs_reqnote:</font>
        <table><tr bgcolor="#C0C0C0"><td>$TS::TS_logs_meta</td><td>
  $TS::TS_logs_date</td><td>$lang_note</td></tr>
END

	open(LOG, "$path_data/logs/rootlog/rnotes.log");
	our @notes = grep { /$app\|/ } <LOG>;
	close(LOG);

	foreach(@notes) {
		my @reqndata = split(/\|/, $_);

		print <<END;
<tr bgcolor="#C0C0C0"><td>[<a href="./profile.cgi?editor=$reqndata[3]">$reqndata[3]</a>]</td><td>
  $reqndata[2]</td><td>$reqndata[4]</td></tr>
END
	}

	print "</table>";

	return 1;
}


sub GenReqNoteLog
{
	my($app) = @_;
	my $lang_note = lc($TS::TS_logs_PNnote);

	print <<END;
<font size="4">$TS::TS_logs_reqnote:</font>
        <table><tr bgcolor="#C0C0C0"><td>$TS::TS_logs_meta</td><td>
  $TS::TS_logs_date</td><td>$TS::TS_logs_what</td><td>$lang_note</td></tr>
END

	open(LOG, "$path_data/logs/rootlog/rnotes.log");
	our @notes = grep { /\|$app / } <LOG>;
	close(LOG);

	foreach(@notes) {
		our @reqndata = split(/\|/, $_);

		print <<END;
  <tr bgcolor="#c0c0c0">
    <td>
      [<a href="./profile.cgi?editor=$reqndata[3]">$reqndata[3]</a>]
    </td>
    <td>
      $reqndata[2]
    </td>
    <td>
      $reqndata[1]
    </td>
    <td>
      $reqndata[4]
    </td>
  </tr>
END
	}

	print "</table>";

	return 1;

	print <<END;
<font size="4">$TS::TS_logs_reqnote:</font>
        <table><tr bgcolor="#C0C0C0"><td>$TS::TS_logs_meta</td><td>
  $TS::TS_logs_date</td><td>$lang_note</td></tr>
END

	open(LOG, "$path_data/logs/rootlog/rnotes.log");
	@notes = grep { /$app\|/ } <LOG>;
	close(LOG);

	foreach(@notes) {
		my @reqndata = split(/\|/, $_);

		print <<END;
<tr bgcolor="#C0C0C0"><td>[<a href="./profile.cgi?editor=$reqndata[3]">$reqndata[3]</a>]</td><td>
  $reqndata[2]</td><td>$reqndata[4]</td></tr>
END
	}

	print "</table>";

	return 1;
}


#General display for profile note.

sub genDispNote
{
	my $line = $_[0];
	my @notedat = split(/\|/, $line);

	#$notedat[4]=~s/"(http:\/\/.*?)/"<a href=\"$1\">$1<\/a>"/g;
	#$notedat=~s/"(http:\/\/.*?)"/"<a href="$1">$1<\/a>"/g;

	my $colorHead = "unknown";
	my $colorBody = "unknown";
	
	if ($notedat[1] eq "green") {
		$colorHead = "#66cc66";
		$colorBody = "#ccffaa";
	}

        if ($notedat[1] eq "yellow") {
		$colorHead = "#ffcc00";
		$colorBody = "#fff000";
        }

        if ($notedat[1] eq "red") {
		$colorHead = "#ff0000";
		$colorBody = "#ff9999";
        }

        if ($notedat[1] eq "purple") {
		$colorHead = "#aa99ff";
		$colorBody = "#ccccff";
	}

        if ($colorHead ne "unknown") {
		print <<END;
<table cellSpacing="0" cellPadding="4" bgColor="$colorBody" border="0">
  <tr bgcolor="$colorHead">
    <td>
      <strong>$notedat[3]</strong>
    </td>
  </tr>
  <tr>
    <td>
      $notedat[4]<p>[<a href="profile.cgi?editor=$notedat[0]">$notedat[0]</a>
      $notedat[2]]
    </td>
  </tr>
</table>
END
        }

	return 1;
}

sub editup()
{
	open(EL, "$path_home/edits/edit1");
	$edits= <EL>;
	close(EL);
	#head loaded
	$totaledits = $edits+1;
	print $totaledits;
	open(LDATA2, ">$path_home/edits/edit1");
	print LDATA2 "$totaledits+1";
	close(LDATA2);

	return 1;
}

sub genFeedback
{
	my($editor) = @_;

	print "$TS::TS_logs_email <a href=\"./feedback.cgi?to=$editor\">$editor</a><hr>";

	return 1;
}


return 1;
