package PTS;

use CGI;

use Settings;

#Get the name of the current .cgi
$cginame = $0;
$cginame=~s/.*[\\\/]([^\\\/\.]*).cgi/$1/g;
if ($cginame=~/^([A-Za-z0-9]+)$/) {
	$cginame = $1;
} else {
	exit();
}

#Get the ID of the language
open(TEXTFILE, "$path_code/ts/langs.txt");
my @langd = <TEXTFILE>;
close(TEXTFILE);

my $cgi = new CGI;
my $lang = "1";

my $ser = $cgi->param('cat');
if (defined $ser) {
	$ser=~s/\//>/g;
	if ($ser=~/International>([^>]*)/) {
		$ser = $1;
	}

	for (my $d = 0; $d <= $#langd; $d++) {
		$x = $langd[$d];
		chomp($x);
		chomp($ser);
		$x=~s/\s//g;
		if ($x eq $ser) {
			$lang = $d + 1;
		}
	}
}

if ($lang=~/^([0-9]+)$/) {
	$lang = $1;
} else {
	exit();
}

#Include the English strings, in case the translation is not updated
$filename = "$path_code/ts/../ts/1common.pl";
if(-f $filename) {
	require($filename);
}

$filename = "$path_code/ts/../ts/1" . $cginame . ".pl";
if(-f $filename) {
	require($filename);
}

$filename = "$path_code/ts/../ts/1cat.pl";
if(-f $filename) {
	require($filename);
}

#Include the translated strings
$filename = "$path_code/ts/../ts/" . $lang . "common.pl";
if(-f $filename) {
	require($filename);
}
$filename = "$path_code/ts/../ts/" . $lang . $cginame . ".pl";
if(-f $filename) {
	require($filename);
}
$filename = "$path_code/ts/../ts/" . $lang . "cat.pl";
if(-f $filename) {
	require($filename);
}

#Required for public page generation
#require ("$path_code/generate.pl");

sub writeHeader 
{
	my($title) = @_;
	print <<END;
Content-Type: text/html; charset=utf-8

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>$title</title>
</head>
<body bgColor="#FFFFFF">
<table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="3" width="100%" bgColor="#000000" border="0">
  <tr bgColor="#006699">
    <td vAlign="middle" align="left" width="805" colSpan="2" height="23">
    <font face="Arial, Helvetica, sans-serif" color="#ffffff" size="5">$HD_title</font></td>
  </tr>
  <tr>
    <td align="right" width="50%" bgColor="#cccccc" height="16">
    <p align="left"><font face="Arial, Helvetica, sans-serif" size="2">$HD_description</font></td>
    <td width="50%" bgColor="#cccccc" height="16">
    <div align="right">
      <a href="/"><b>
      <font face="Arial, Helvetica, sans-serif" size="-1">$PTS::TS_common_home</font></b></a></div>
    </td>
  </tr></table>
END

	return 1;
}

#Generates the CGI Header and HTML header for editing pages
#Params: 2
#Param 1: The category in which to display the combo
#Param 2: The name of the select object.
#Returns: 1 (always)

sub writeTemplateCombo
{
	my($tcat, $name) = @_;
	my($cats);
	my($i);
	my(@elim);

	$tcat=~s/\//>/g;

	open(EL, "$path_data/cattype");
	$cats = <EL>;
	close(EL);

	print "<select name=\"$name\">";
	my $table="<option>";

	@elim = split(" ; ", $cats);
	if (($tcat=~/^Test/) || ($tcat=~/^Bookmarks/)) {
	} else {
		if ($tcat=~/International>([^>]*)/) {
			$languageID = $1;
			for ($i = "0"; $i <= $#elim; $i++) {
				if ($elim[$i]=~/default/) {
				} else {
					if ($elim[$i]=~/$languageID>(.*)/) {
					} else {
						$elim[$i] = "";
					}
				}
			}
		} else {
			for ($i = "0"; $i <= $#elim; $i++) {
				if ($elim[$i]=~/default/) {
				} else {
					if ($elim[$i]=~/>/) {
						$elim[$i] = "";
					}
				}
			}
		}
	}

	for ($i = "0"; $i <= $#elim; $i++) {
		if ($elim[$i]=~/[a-zA-Z0-9]/) {
		} else {
			$elim[$i] = "";
		}
		if ($elim[$i]=~/^default/) {
			$elim[$i] = "";
		}
	}

	$cats = join(" ; ", @elim);
	$cats=~s/(\s;\s)+/ ; /g;
	$cats=~s/\s;\s$//g;
	$cats=~s/; +/;/g;

	@elim = split(";", $cats);
	@elim = sort {
		if (($a=~/>/) && ($b=~/>/)) {
			$a cmp $b;
		} else {
			if ((!($a=~/>/)) && (!($b=~/>/))) {
				$a cmp $b;
			} else {
				if ($a=~/>/) {
					1;
				} else {
					-1;
				}
			}
		}
	} (@elim);

	$cats = join(";", @elim);

	$cats=~s/;/$table/g;
	$cats = "$table default". $cats;

	print "$cats</select>";
   
	return 1;
}

return 1;
