package TS;

use Settings;
use Storage;

#Get the name of the current .cgi
$cginame = $0;
$cginame=~s/.*[\\\/]([^\\\/\.]*).cgi/$1/g;
$cginame=~s/.cgi//g;
if ($cginame=~/^([A-Za-z0-9]+)$/) {
	$cginame = $1;
} else {
	exit();
}

#Get the ID of the language to be used, from editor's prefs
$lang = Storage::getData("editor", $ENV{REMOTE_USER}, "lang");

if ($lang eq "") {
	$lang = "1";
}
$lang=~s/[\n\r]+//g;

if ($lang=~/^([0-9]+)$/) {
	$lang = $1;
} else {
	exit();
}

#Include the English strings, in case the translation is not updated
$filename = "$path_code/ts/1" . "common.pl";
if(-f $filename) {
	require($filename);
}
$filename = "$path_code/ts/1" . "logs.pl";
if(-f $filename) {
	require($filename);
}
$filename = "$path_code/ts/1" . "cat.pl";
if(-f $filename) {
	require($filename);
}
$filename = "$path_code/ts/1" . $cginame . ".pl";
if(-f $filename) {
	require($filename);
}

#Include the translated strings
$filename = "$path_code/ts/" . $lang . "common.pl";
if(-f $filename) {
	require($filename);
}
$filename = "$path_code/ts/" . $lang . "logs.pl";
if(-f $filename) {
	require($filename);
}
$filename = "$path_code/ts/" . $lang . "cat.pl";
if(-f $filename) {
	require($filename);
}
$filename = "$path_code/ts/" . $lang . $cginame . ".pl";
if(-f $filename) {
	require($filename);
}

return 1;
