#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************

use strict;
use CGI;

use lib '.';
use Include;
use Generate;
use Settings;

my $localtime = localtime;

open(BASE, ">$path_data/search.fdb");
print BASE "Last generated: $localtime\n";
close(BASE);

open(CATS, "$path_sitedata/cats.lst");
my $cats = <CATS>;
close(CATS);
my @ccats = split(/;/, $cats);

my $count = 0;

open(FLOW, ">$path_data/code/bin/search.start");
print FLOW time;
close(FLOW);

foreach (@ccats) {
	$_=~s/\n//g;
	$_=~s/ //g;
	open(FLOW, ">$path_data/code/bin/search.flow");
	print FLOW $count . "\|" . $#ccats . "\n";
	close(FLOW);
	my $x = $_;
	my $page = Generate::generateContent($_);
	$page=~s/\n/ /g;
	$page=~s/\n\n/ /g;
	$page=~s/<br>/ /g;
	chomp($page);
	my @fix = $page;
	$page = "CAT:" . $x . ":" . $page;
	open(BASE, ">>$path_data/search.fdb");
	print BASE $page . "\n";
	close(BASE);
	$count++;
}

open(FLOW, ">$path_data/code/bin/search.stop");
print FLOW time;
close(FLOW);
