#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use EditorProfile;
use Settings;


my $cgi = new CGI;
my $ename = $cgi->param('name');
my $list = $cgi->param('list');
my $tn = "$ename";

$ename = " $tn";
$ename=~s/ \///g;

print "Content-Type: text/html; charset=utf-8\n\n";

print "<title>Profile - $ename</title>\n";

open(HEAD, "$path_data/pginfo/head.html");
my @head = <HEAD>;
close(HEAD);
print "@head<br>\n";

$ename=~s/ //g;

if ($ename eq "") {
	print <<END;
<font size="+2">Lookup an Editor</font>
<br>
<hr><form method="get" action="dprofile.cgi">
<p><b>Username:</b>
<br><input type="text" name="name" size="20">
<p><input type="submit" value="Ok">
<br></form>
END
} else {
	Editor::validateEditor($ename);
   
	#Open list of current users
   
	EditorProfile::editorInfo($ename);

	print "Send feedback to <a href=\"../outedfeed.cgi?to=$ename\">$ename</a>.<hr>";	

	open(INFILE, "$path_home/profiles/$ename.html");
	my @profile = <INFILE>;
	close(INFILE);

	print "<p>@profile</p>";
}

open(HEAD, "$path_data/pginfo/footer.html");
my @foot = <HEAD>;
close(HEAD);

print @foot;
