#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;

my $qcmd = $cgi->param('cmd');

UI::writeHeaderCode($TS::TS_cmail_title);
Editor::writeECode();

if ($qcmd ne "") {
	open(TEXTFILE, ">$path_data/misc/mail/$ENV{REMOTE_USER}.mail");
	print TEXTFILE "";
	close(TEXTFILE);
	print "<br><h2><b>$TS::TS_cmail_empty<br></h2></b>\n";
} else {
	print "<br><H2><b>$TS::TS_cmail_title<br></H2></b>\n";
	#Request Log
	print <<END;
	<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="600"><tr><td width="600">
END
	open(INFILE, "$path_data/misc/mail/$ENV{REMOTE_USER}.mail");
	my @rlog = <INFILE>;
	close(INFILE);
	print "@rlog";
	print "</table> <br>";

	print <<END;
<form method="POST" action="cmail.cgi">
<p><input type="submit" value="$TS::TS_cmail_clearall" name="cmd">
<br></form>
END
}

UI::writeScriptFooter();
