#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;
my $line = $cgi->param('line');

UI::writeHeaderCode("Edit NewApp Accept Letter");
Editor::writeECode();

Editor::restrictedRoot();

if ($line ne "") {
	open(TEXTFILE, ">$path_data/acceptletter.txt");
	print TEXTFILE "$line";
	close(TEXTFILE);
}

open(INFILE, "$path_data/acceptletter.txt");
my @comments = <INFILE>;
close(INFILE);

my $comments = join('', @comments);
$comments=~s/\</\&lt;/g;
$comments=~s/\>/\&gt;/g;

print <<END;
<p>
<b>Current NewApp Accept Letter</b><br>
<pre>$comments</pre>
<p>
<p>
<p>
<b>EDIT:</b><br>
<form method="post" action="edacceptletter.cgi">
<textarea rows="10" name="line" cols="60">$comments</textarea><br>
<input type="submit" value="Submit"><br>
</form>
END

UI::writeScriptFooter();
