#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;
my $line = $cgi->param('line');

UI::writeHeaderCode("Edit Head");
Editor::restrictedRoot();

if ($line ne "") {
	open(TEXTFILE, ">$path_data/pginfo/mainpage.html");
	print TEXTFILE "$line\n";
	close(TEXTFILE);
}

open(INFILE, "$path_data/pginfo/mainpage.html");
my @comments = <INFILE>;
close(INFILE);

print <<END;
<p>
$bold Current HTML (Front Head) $unBold <br>
@comments
<p>
<p>
<p>
<b>New HTML</b><br>
<form method="post" action="edfronthead.cgi">
<textarea rows="30" name="line" cols="80">@comments</textarea><br>
<input type="submit" value="$TS::TS_common_submit">
</form>
END

UI::writeScriptFooter();
