#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use CGI qw(:standard);
use File::Copy;
#use Net::FTP;

print "Unlinking backup.tar.gz...\n";
unlink("/export/home/web/editors/editall/root/backup/backup.tar.gz");
print "Unlinking profiles.tar.gz...\n";
unlink("/export/home/web/editors/editall/root/backup/profiles.tar.gz");
print "Unlinking sitedata.tar.gz\n";
unlink("/export/home/web/editors/editall/root/backup/sitedata.tar.gz");
print "Unlinking data.tar.gz...\n";
unlink("/export/home/web/editors/editall/root/backup/data.tar.gz");
print "Unlinking edits.tar.gz...\n";
unlink("/export/home/web/editors/editall/root/backup/edits.tar.gz");
print "Unlinking web.tar.gz...\n";
unlink("/export/home/web/editors/editall/root/backup/web.tar.gz");
print "Unlinking deldata.tar.gz...\n";
unlink("/export/home/web/editors/editall/root/backup/deldata.tar.gz");
print "Unlinking backups completed.\n";

print "\nPacking web.tar...\n";
system("tar cf /export/home/web/editors/editall/root/backup/web.tar /export/home/web/*");
print "Packing sitedata.tar...\n";
system("tar cf /export/home/web/editors/editall/root/backup/sitedata.tar /export/home/sitedata/*");
print "Packing data.tar...\n";
system("tar cf /export/home/web/editors/editall/root/backup/data.tar /export/home/data/*");
print "Packing edits.tar...\n";
system("tar cf /export/home/web/editors/editall/root/backup/edits.tar /export/home/edits/*");
print "Packing profiles.tar...\n";
system("tar cf /export/home/web/editors/editall/root/backup/profiles.tar /export/home/profiles/*");
print "Packing deldata.tar...\n";
system("tar cf /export/home/web/editors/editall/root/backup/deldata.tar /export/home/deldata/*");
print "\nPacking  in gunzip...\n";
system("gzip /export/home/web/editors/editall/root/backup/profiles.tar /export/home/web/editors/editall/root/backup/sitedata.tar /export/home/web/editors/editall/root/backup/data.tar /export/home/web/editors/editall/root/backup/edits.tar /export/home/web/editors/editall/root/backup/web.tar /export/home/web/editors/editall/root/backup/deldata.tar > backup.gz");
print "Packing backup.tar...\n";
system("tar cf /export/home/web/editors/editall/root/backup/backup.tar /export/home/web/editors/editall/root/backup/*");
print "\nPacking in gunzip...\n";
system("gzip /export/home/web/editors/editall/root/backup/backup.tar > backup.gz");
print "\nBackup completed.\n";
#print "Open-Site exported to http://open-site.org/editors/editall/root/backup/backup.tar<br>";
#print "Wait five minutes before downloading.";
#$ftp = Net::FTP->new($FTP_IP);
#$ftp->login($FTP_user, $FTP_password);
#$ftp->cwd(/misc);
#$ftp->put(/export/home/web/editors/editall/root/backup/backup.tar);
#$ftp->quit;
