#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use CGI qw(:standard);

$rfile = $0;
$rfile=~s/edreqlog.cgi/include.pl/g;
require $rfile;

$cat = param('cat');
$do = param('do');
$lt = localtime;
$data = param('data');

writeHeaderCode("$cat - Edit Request Log");
writeECode();

open(USERS, "$path_data/elist");
$users = <USERS>;
close(USERS);

if ($users=~/ $ENV{REMOTE_USER} /)
{
   #Submit code
   if ($do ne "")
   {
      $cat = validateEditor($cat);
      open(LDATA, ">$path_data/logs/trlog/$cat.log");
      print LDATA "$data\n";
      close(LDATA);
   };
   if ($cat ne "")
   {
      $cat = validateEditor($cat);
      open(CATL, "$path_data/logs/trlog/$cat.log");
      @cat4 = <CATL>;
      close(CATL);
      print "@cat4";
      print <<END;
<form method=post action="edreqlog.cgi">
<textarea rows="13" name="data" cols="80">@cat4</textarea>
<br><p><input type="radio" value="$cat" checked name="cat">$cat</p>
<input type=submit value="Update" name="do">
END
   }
   else
   {
      print <<END;
<b><h1>Edit request log</h1><p>Choose an editor!</b><br>
<form method=get action="edreqlog.cgi">
</b>Editor:</b>
<br><input type="text" name="cat" value="$cat" size="20">
<input type=submit value="Ok">
END
   };
}
else
{
   print "Your login has been inactivated."; 
};

writeBackLink();
writeFooterCode();
