#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use Include;
use Settings;
use Common;
use TS;

my $cgi = new CGI;

my $line = $cgi->param('line');
my $file = $cgi->param('file');

Common::writeHeaderCode("Online Editor");
Common::writeECode();

if ($line ne "") {
	open(TEXTFILE, ">$file");
	print TEXTFILE "$line\n";
	close(TEXTFILE);
}

open(INFILE, "$file");
my @comments = <INFILE>;
close(INFILE);

my $cnt = join("", @comments);
my $dcnt = $cnt;
$dcnt=~s/</&lt;/g;
$dcnt=~s/>/&gt;/g;

print <<END;
<p>Editing $file...</p>
<p>
<strong>Current code:</strong><br>
<pre>
$dcnt
</pre>
<p>
<p>
<p>
<strong>New Code</strong><br>
<form method="post" action="edfile.cgi">
<input type="hidden" name="file" value="$file">
<textarea rows="30" name="line" cols="80">$cnt</textarea><br>
<input type="submit" value="Submit"><br>
</form>
END

Common::writeBackLink();
Common::writeFooterCode();
