#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;

my $ename = $cgi->param('name');
my $list = $cgi->param('list');
my $editor = $ename;

UI::writeHeaderCode("$ename - Editor E-Mail Lookup");
Editor::writeECode();
Editor::restrictedMeta();

if ($ename eq "") {
	print <<END;
<font size="+2">Editor E-Mail Lookup</font>
<br>
<hr><form method="get" action="gemail.cgi">
<p>$bold Username:$unBold
<br><input type="text" name="name" size="20">
<p><input type="submit" value="Ok">
<br></form>
END
} else {
	$ename = Editor::validateEditor($ename);

	print "<H2>Editor: $ename</H2>\n";

	print <<END;
<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="600"><tr><td width="600">
END
	open(EL, "$path_data/pginfo/tble");
	my $table= <EL>;
	close(EL);
	my $cats=~s/;/$table/g;
	print "$cats";
	print "</table> <br>";

	#Request Log
	print <<END;
<H2>Editor E-Mail Lookup</H2><hr>
<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="600"><tr><td width="600">
END
	open(INFILE, "$path_data/misc/$ename.eaddr");
	my @rlog = <INFILE>;
	close(INFILE);
	print "<b>@rlog</b>";
	print "</table> <br>";
}

UI::writeScriptFooter();
