#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;

my $ename = $cgi->param('name');
my $list = $cgi->param('list');
my $editor = $ename;

UI::writeHeaderCode("$ename - $TS::TS_mwarnlog_title");
Editor::restrictedMeta();

if ($ename eq "") {
	print <<END
<font size=+2>$TS::TS_mwarnlog_title</font><br>
<hr><form method="get" action="mwarnlog.cgi">
<p><b>$TS::TS_common_username:</b>
<br><input type="text" name="name" size="20">
<p><input type="submit" value="$TS::TS_common_submit">
<br></form>
END
} else {
	$ename = Editor::validateEditor($ename);

	print <<END;
<h1>$TS::TS_mwarnlog_warnlog</h1><hr>
<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="600" bgcolor="#FFA0A0"><tr><td width="600">
END
	open(INFILE, "$path_data/logs/warnlog/$ename.log");
	my @rlog = <INFILE>;
	close(INFILE);
	print "@rlog";
	print "</table> <br>";
}

UI::writeScriptFooter();
