#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


#Small Script for front page updates.

use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use Storage;
use TS;
use UI;

my $cgi = new CGI;

my $line = $cgi->param('line');
my $file = $cgi->param('file');
$file = Storage::validateFileName($file);

my($done, $files);

UI::writeHeaderCode("Create New Docs File");
Editor::writeECode();
Editor::restrictedMeta();

if ($file ne "") {
	open(TEXTFILE, ">$path_web/docs/$file");
	print TEXTFILE "";
	close(TEXTFILE);
	$done = 1;
	print <<END;
<p>File Created.</p>
<p><b><a href="./edocs.cgi">$TS::TS_common_back</a></b></p>
END
} else {
	if ($file eq "") {
		print "<form method=POST action=\"newfile.cgi\">";
		$files=~s/edit/Current Files:/;
		$files=~s/\n/<br>/g;
		print "Filename:";
		print "<br><input type=\"text\" name=\"file\" size=\"20\">";
		print "<br><input type=submit value=\"Create\"><\/form>";
	}
}

UI::writeScriptFooter();
