#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;

my $cat = $cgi->param('cat');
my $act = $cgi->param('action');
my $reason = $cgi->param('reason');
my $lt = localtime;
my $currenteditor = Editor::currentUser();

UI::writeHeaderCode("Remove Category");
Editor::writeECode();

if ($act ne "") {
	if ($cat eq "") {
		print "Please pick a category.";
		exit();
	}

	foreach $cat ($cat) {
		open(EL, "$path_data/eperm/$ENV{REMOTE_USER}.perm");
		my $lou = <EL>;
		$lou=~s/ $cat; / /g;
		close(EL);

		open(EL, ">$path_data/eperm/$ENV{REMOTE_USER}.perm");
		print EL "$lou";
		close(EL);

		open(EL, "$path_sitedata/$cat.ed");
		my @lou = <EL>;
		close(EL);

		open(EL, ">$path_sitedata/$cat.ed");

		for (my $id = 0; $id < 50; $id++) {
			$lou[$id] =~s/$ENV{REMOTE_USER}//g;
			if ($lou[$id] ne "\n") {
				print EL "$lou[$id]";
			}
		}

		close(EL);

		print "You removed yourself from $cat.<br>\n";

		Storage::logMetaEdit($currenteditor,$currenteditor,'remove',0,"$cat ($reason)");
	}
} else {
	print <<END;
<font size="+2">Remove Category Tool</font><br>
You must remove yourself from categories one at a time.
<hr><form method="POST" action="rcat.cgi">
END

	open(EL, "$path_data/eperm/$ENV{REMOTE_USER}.perm");
	my $ucat= <EL>;
	close(EL);
	print "<ul>";

	$ucat=~s/([^\s]*);/<p><input type="radio" name="cat" value="$1">$1<\/p>/g;

	print <<END;
$ucat</ul><hr width="100%">
<p><b>Reason:</b><br><input type="text" name="reason" size="37"><p><hr>
<p><input type="submit" value="Remove" name="action"></p></form>
END
}

UI::writeScriptFooter();
