#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;
my $cat = $cgi->param('cat');
my $act = $cgi->param('action');

my $lt = localtime;

if ($act ne "") {
	$cat = Editor::validateCat($cat);

	UI::writeHeaderCode ("Delete Category");
	Editor::writeECode();
	Editor::restrictedRoot();

	system ("rm $path_sitedata/$cat.html");
	open(EL, "$path_sitedata/cats.lst");
	my $lou2 = <EL>;
	$lou2=~s/ $cat; / /g;
	close(EL2);
	open(EL2, ">$path_sitedata/cats.lst");
	print EL2 "$lou2";
	close(EL2);
	print <<END;
The category has been deleted. <br>
END

	open(EL, "$path_data/pginfo/tble");
	my $table = <EL>;
	close(EL);

	open(TEXTFILE, ">>$path_data/logs/allog/$ENV{REMOTE_USER}.log");
	print TEXTFILE "<i>$lt</i><br>Category: '$cat' deleted!<br>Deleted by: $ENV{REMOTE_USER}; $table\n";
	close(TEXTFILE);

	open(TEXTFILE, ">>$path_data/logs/rootlog/rlog.log");
	print TEXTFILE "<i>$lt</i><br>Category: '$cat' deleted!<br>Deleted by: $ENV{REMOTE_USER}; $table\n";
	close(TEXTFILE);
} else {
	UI::writeHeaderCode ("Delete Category");
	Editor::writeECode();
	Editor::restrictedRoot();

	print <<END;
<font size="+2">Delete Category</font>
<br>
<hr><form method="post" action="rootdelcat.cgi">
<p><b>Category:</b><br>
<i>Ex: home</i>
<br><input type="text" name="cat" size="40">
<p><input type="submit" value="Delete" name="action">
<br></form>
END
}

UI::writeScriptFooter();
