#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use Storage;
use TS;
use UI;

UI::writeHeaderCode("Site Stats");
Editor::writeECode();
Editor::restrictedRoot();

print "<br><b>Current Editors:<br></b>\n";
my $cats = Storage::getData("global", "elist");

my $noe = "0";

$cats = "$cats ";

$cats=~s/  //g;

print "<ol>\n";
$cats=~s/ /<li><\/li>\n/g;
print "$cats";
print "<\/ol>\n";

UI::writeFooterCode();
