#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;

my $cat = $cgi->param('cat');

$cat = Editor::validateCat($cat);

UI::writeHeaderCode($TS::TS_switch_title);
Editor::writeECode();

open(LDATA, "$path_sitedata/$cat.autogen");
my $auto = <LDATA>;
close(LDATA);

if ($auto ne "ON") {
	$auto = "OFF";
}

print "$TS::TS_switch_done: $auto ==>";

if ($auto eq "ON") {
	$auto = "OFF";
} else {
	$auto = "ON";
}

open(LDATA, ">$path_sitedata/$cat.autogen");
print LDATA "$auto";
close(LDATA);

print " $auto.";

UI::writeScriptFooter($cat);
