#!/usr/bin/perl -wT
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Settings;

my $cgi = new CGI;

print $cgi->header;

opendir(DIR, ".");
my @files = readdir(DIR);
closedir(DIR);

my $tline = 0;

my $x = 0;
foreach (@files) {
	if ($_=~/.cgi/) {
		$x = $x + 1;
	}
}

print "$x total scripts in /web/editors<br>";

foreach(@files) {
	open(META, "./$_");
	my @rlog2 = <META>;
	close(META);
	my $ook = $#rlog2 - 22;
	$tline =  $tline + $ook;
}

print "$tline total lines in all scripts in /web/editors combined. <br> (20 lines subtracted from every script in caculated total so that headers are not counted.)<br>(Note: All listed files under here do not have 20 lines taken off.) <hr>";

foreach(@files) {
	if ($_=~/.cgi/) {
		open(META, "./$_");
		my @rlog2 = <META>;
		close(META);
		print "$_ --> $#rlog2 <hr>";
	}
}

print "<p><hr>";
