#!/usr/bin/perl -wT
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


#Code for inact login of users.

use strict;
use CGI;

use lib '.';
use Include;
use Common;
use Editor;
use Settings;
use Storage;
use TS;
use UI;

my $cgi = new CGI;

my $editor = $cgi->param('editor');
my $username = $cgi->param('usn');
my $act = $cgi->param('action');
my $reason = $cgi->param('reason');
my $currenteditor = Editor::currentUser();

if (!defined $editor) {
	$editor = "";
}

UI::writeHeaderCode($TS::TS_toeditor_title);
Editor::restrictedMod();
Editor::writeECode();

if (defined $act) {
	open(USERS, "$path_data/inlist");
	my $users = <USERS>;
	close(USERS);
	if ($users=~/ $username /) {
		print $TS::TS_toeditor_alrem;
	} else {
		if ($act eq "$TS::TS_toeditor_remove") {
			$users = Storage::getData("global", "elist");
         
			my $rootlist = Storage::getData("global", "root.gf");
			my $metalist = Storage::getData("global", "dirman.gf");

			if ($rootlist=~/ $username /g) {
				print "$TS::TS_toeditor_norem<br>";
				UI::writeScriptFooter();
				exit();
			}

			if ($metalist=~/ $username /g) {
        		        print "$TS::TS_toeditor_norem<br>";
				UI::writeScriptFooter();
				exit();
	        	}

		     	if ($users=~/ $username /) {
				$users = Storage::getData("global", "elist");
				if ($users=~/ $username /) {
					open(EL, "$path_data/elist");
					my $lou = <EL>;
					$lou=~s/ $username / /g;
					close(EL);
					print "$TS::TS_toeditor_done<br>\n";
					open(EL, ">$path_data/elist");
					print EL "$lou";
					close(EL);
					open(EL2, ">>$path_data/inlist");
					print EL2 "$username ";
					close(EL2);

					Storage::logMetaEdit($username,$currenteditor,'time out',0,'',1);
				} else {
					print $TS::TS_toeditor_nse;
				} 
			} else {
				print "$TS::TS_toeditor_nse / $TS::TS_toeditor_alrem";
			}
		}
	}
} else {
	print <<END;
<font size="+2">$TS::TS_toeditor_title</font>
<br>
<hr><form method="POST" action="toeditor.cgi">
<p>$bold$TS::TS_common_editor:$unBold
<br><input type="text" name="usn" value="$editor" size="20">
<p><input type="submit" value="$TS::TS_toeditor_remove" name="action">
<br></form>
END
}

UI::writeScriptFooter();
