#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use Include;
use Settings;
use PTS;

my $cgi = new CGI;
my $message = $cgi->param('message');
my $name = $cgi->param('name');
my $email = $cgi->param('email');
my $lt = localtime;
my $act = $cgi->param('action');

PTS::writeHeader("Feedback Form - $HD_name");

if ($act eq "Send") {
	open(EL, "$path_data/feedback/feedback1");
	my $edits= <EL>;
	close(EL);
	#head loaded
	my $totaledits = $edits+1;
	#print $totaledits;
	open(LDATA2, ">$path_data/feedback/feedback1");
	print LDATA2 "$totaledits+1";
	close(LDATA2);

	open(TEXTFILE, ">$path_data/feedback/$totaledits.log");
	print TEXTFILE "OUTSIDE FEEDBACK\n";
	print TEXTFILE "$ENV{REMOTE_ADDR}\n";
	print TEXTFILE "$lt\n";
	print TEXTFILE "$name\n";
	print TEXTFILE "$email\n";
	print TEXTFILE "$message\n";
	close(TEXTFILE);

	print "<p>Your feedback has been sent.</p>";
	print <<END;
<p><b><a href="./">Back</a></b></p>\n
END
} else {
	print <<END;
<p><font size="5">Feedback</font><br>
Mail the Open Site Staff</p>

<table width="100%" cellspacing="0" cellpadding="0" align="center" bgcolor="#ccccff" border="1"><tr><td><div align="justify">$PTS::TS_feedback_note</div></td></tr></table>

<form method="POST" action="feedback.cgi">

<p>Your Name:<br>
<input type="text" name="name" size="40"></p>

<p>Your Email:<br>
<input type="text" name="email" size="40"></p>

<p><b>Message:</b><br>
<textarea rows="10" name="message" cols="60"></textarea></p>

<p><input type="submit" value="Send" name="action"></p>
</form>
END
};

print <<END;
   <div>
   <table style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="4" width="100%" border="1">
     <tr bgColor="#006699">
       <td width="563" height="2">
       <font face="Arial, Helvetica, sans-serif" color="#ffffff" size="-2">
       Copyright &copy; 2002 Open Site - Internet Encyclopedia</font></td>
     </tr>
   </table>
   </div>
</body>
</html>
END
