#Manage the Open Site fora.

package Forum;

use Settings;
use TS;


#YaBB Support
if ($YaBB_support == 1) {
	require "$YaBB_path/Settings.pl";

	if ($boardsdir=~/^(.*)$/) {
		$boardsdir = $1;
	}
	
	if ($memberdir=~/^(.*)$/) {
		$memberdir = $1;
	}
}

#Use YaBB storing context.

#For the thread
#topic|poster|email(crack)|08/03/02 at 11:20:26|poster|xx|0|$ip|context||

#Split up a fora thread:
#Options:
#1 - Return General Context of Thread in return @array.
#2 - Return topic
#3 - Return poster
#4 - Return date
#5 - Return ip
#6 - Return thread post


sub ReadThread
{
 	my($rawthread, $options) = @_;
	
	if ($options eq 1) {
		#1 - Return General Context of Thread in return @array.
		our @thread = split(/|/, $rawthread);
		return @thread;
	}
	
	if ($options eq 2) {
		#2 - Return topic
		our @thread = split(/|/, $rawthread);
		return $thread[0];
	}

	if ($options eq 3) {
		#3 - Return poster
		our @thread = split(/|/, $rawthread);
		return $thread[1];
	}

	if ($options eq 4) {
		#4 - Return date
		our @thread = split(/|/, $rawthread);
		return $thread[3];
	}

	if ($options eq 5) {
		#5 - Return ip
		our @thread = split(/|/, $rawthread);
		return $thread[7];
	}
	
	if ($options eq 6) {
		#6 - Return post
		our @thread = split(/|/, $rawthread);
		return $thread[8];
	}
}


return 1;

