#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use Include;
use Settings;
use Generate;
use PTS;

my $cgi = new CGI;
my $cat = $cgi->param('cat');
my $code = $cgi->param('code');

if ($code ne $CAT_access_code) {
	print "Content-Type: text/html; charset=utf-8\n\n";

	print "Please enter the URL in your browser.";
	die;
}

# change slashes to greater-than (>) signs
$cat=~s/\//>/g;

# remove trailing > sign, if present
$cat=~s/>$//;

# remove multiple > signs
$cat=~s/>+/>/g;

# escape cat

#$cat = CGI::escape($cat);
$cat=~s/%3E/>/g;
$cat=~s/%2C/,/g;
$cat=~s/%3A/:/g;
$cat=~s/%27/'/g;
$cat=~s/%21/!/g;

my $r = Generate::generateContent($cat);

if ($r=~/^</) {
	print "Content-Type: text/html; charset=utf-8\n\n";
	print $r;
} else {
	print $r;
}
