#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;

UI::writeHeaderCode($TS::TS_chpass_changepass);
Editor::writeECode();

my $submit = $cgi->param('submit');

if ($submit ne "") {
	my($newPass   ) = $cgi->param('newPass');
	my($verifyPass) = $cgi->param('verifyPass');

	if ($newPass eq $verifyPass) {
		Editor::setPassword($ENV{REMOTE_USER}, $newPass);
		print $TS::TS_chpass_changed;
	} else  {
		print $TS::TS_chpass_nomatch;
	}
} else {
	UI::writeScriptHeader("", $TS::TS_chpass_changepass);
	UI::writeStartForm();
	UI::writeInputItemForm($TS::TS_chpass_new, "password", "newPass");
	UI::writeInputItemForm($TS::TS_chpass_retype, "password", "verifyPass");
	UI::writeEndForm();
}

UI::writeScriptFooter();
