#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use Storage;
use TS;
use UI;

my $cgi = new CGI;
my $line = $cgi->param('line');

UI::writeHeaderCode();
Editor::writeECode();
Editor::restrictedRoot();

if ($line ne "") {
	Storage::setData("global", "elist", $line);
}

my $comments = Storage::getData("global", "elist");

print <<END;
<p>
<p>
<b>Current Users</b><br>
$comments
<p>
<p>
<p>
<b>New List</b><br>
<form method="post" action="edculst.cgi">
<input type="line" name="line" size="40" value="$comments"><br>
<input type="submit" value="Submit"><br>
<b><a href="./">$TS::TS_common_back</a></b><br>
</form>
END

UI::writeScriptFooter();
