#!/usr/bin/perl

use CGI qw(:standard);
print header;

$action = param('action');
if ($action eq "" || $action eq "main") {
  print <<HTML_QUOTE;
<html>
<head>
<title>Spell Checker</title>
</head>
<body>
<p>Please enter a line of text to spell below:</p>
<form method=post action="spell2.cgi">
<input type=hidden name=action value="spell">
<input type=text name="spelltext" size=50>
<input type=submit value="Spellcheck">
</form>
</body>
</html>
HTML_QUOTE
}
if ($action eq "spell") {
  $spelltext = param('spelltext');
  # let's pipe this through ispell and highlight any mispelled words
  open(ISPELL, "| ispell -a > /tmp/blarg.txt") || die "Couldn't open ispell:$!";
  print ISPELL $spelltext;
  close(ISPELL);
  open(ISPELL, "/tmp/blarg.txt");
  # $wordcounter = 0;
  # @lineout = ();
  $firstline = <ISPELL>;
  $currchar = 0;
  @chars = split(//, $spelltext);
  $newline = "";
  while (<ISPELL>) {
    $outline = $_;
    chomp($outline);
    next if ($outline eq "");
    ($schar) = split(//, $outline);
    if (($schar eq "*") || ($schar eq "+") || ($schar eq "-")) {
      # good enough, do nothing
  #     push(@lineout, $words[$wordcounter]);
    }
    else {
      # not good enough, find out the word and the character position
      if ($schar eq "#") {
        ($d, $misword, $offset) = split(/ /, $outline);
        @altwords = ();
      }
      else {
        ($d, $misword, $d, $offset, @altwords) = split(/ /, $outline);
      }
      $altwords = join(" ", @altwords);
      if ($altwords ne "") {
        $altwords = "Suggestions: $altwords.";
      }
      else {
        $altwords = "No suggestions found.";
      }
      $offset=~s/:$//;
      # first, copy all the characters from before this offset into the final string
  #    print "Currchar: $currchar\nOffset: $offset\nMisword: $misword\n";
      $newline .= join("", @chars[$currchar..$offset-1]);
      # now copy a star, however many characters of @chars are in $misword, then another star
      $newline .= "<font color=\"#FF0000\"><u><b><span title=\"$altwords\">" . join("", @chars[$offset..$offset+length($misword)-1]) . "</span></b></u></font>";
      # and put currchar up to the right level
      $currchar = $offset+length($misword);
      # highlight it
  #    push(@lineout, "*$words[$wordcounter]*");
    }
  #  $wordcounter += 1;
  }
  $newline .= join("", @chars[$currchar..$#chars]);
  close(ISPELL) || die "Couldn't close ispell:$!";
  # $lineout = join(" ", @lineout);
  print <<HTML_QUOTE;
<html>
<head>
<title>Spellcheck Results</title>
</head>
<body>
$newline
</body>
</html>
HTML_QUOTE
}

