#!/usr/bin/perl

use CGI qw(:standard);
print header;

$action = param('action');
if ($action eq "" || $action eq "main") {
  print <<HTML_QUOTE;
<html>
<head>
<title>Spell Checker</title>
</head>
<body>
<p>Please enter the category to spell-check below:</p>
<form method=post action="spell3.cgi">
<input type=hidden name=action value="spell">
<input type=text name="cat" size=50>
<input type=submit value="Spellcheck">
</form>
</body>
</html>
HTML_QUOTE
}
if ($action eq "spell") {
  $cat = param('cat');
  open(CAT, "/export/home/sitedata/$cat.html");
  @cat = <CAT>;
  close(CAT);
  $newline = "";
  foreach $spelltext (@cat) {
    # let's pipe this through ispell and highlight any mispelled words
    open(ISPELL, "| ispell -a > /tmp/blarg.txt") || die "Couldn't open ispell:$!";
    print ISPELL $spelltext;
    close(ISPELL);
    open(ISPELL, "/tmp/blarg.txt");
    $firstline = <ISPELL>;
    $currchar = 0;
    @chars = split(//, $spelltext);
    while (<ISPELL>) {
      $outline = $_;
      chomp($outline);
      next if ($outline eq "");
      ($schar) = split(//, $outline);
      if (($schar eq "*") || ($schar eq "+") || ($schar eq "-")) {
        # good enough, do nothing
      }
      else {
        # not good enough, find out the word and the character position
        if ($schar eq "#") {
          ($d, $misword, $offset) = split(/ /, $outline);
          @altwords = ();
        }
        else {
          ($d, $misword, $d, $offset, @altwords) = split(/ /, $outline);
        }
        $altwords = join(" ", @altwords);
        if ($altwords ne "") {
          $altwords = "Suggestions: $altwords.";
        }
        else {
          $altwords = "No suggestions found.";
        }
        $offset=~s/:$//;
        # first, copy all the characters from before this offset into the final string
        $newline .= join("", @chars[$currchar..$offset-1]);
        # now copy a star, however many characters of @chars are in $misword, then another star
        $newline .= "<font color=\"#FF0000\"><u><b><span title=\"$altwords\">" . join("", @chars[$offset..$offset+length($misword)-1]) . "</span></b></u></font>";
        # and put currchar up to the right level
        $currchar = $offset+length($misword);
      }
    }
    $newline .= join("", @chars[$currchar..$#chars]) . "<br>";
    close(ISPELL) || die "Couldn't close ispell:$!";
  }
  print <<HTML_QUOTE;
<html>
<head>
<title>Spellcheck Results</title>
</head>
<body>
$newline
</body>
</html>
HTML_QUOTE
}

