#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use Storage;
use TS;
use UI;

UI::writeHeaderCode("System Editor List");
Editor::writeECode();
Editor::restrictedRoot();

my($cats, $table);

print "<b>Current Editors:<br></b>\n";

$cats = Storage::getData("global", "elist");

print <<END;
<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="276"><tr><td width="600">
END

open(EL, "$path_data/pginfo/tble");
$table= <EL>;
close(EL);

$cats=~s/ /$table/g;

print "$cats";
print "</table>";
print "<br><b>Inactive Editors:<br></b>\n";

open(EL, "$path_data/inlist");
$cats= <EL>;
close(EL);

print <<END;
<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="276"><tr><td width="600">
END

open(EL, "$path_data/pginfo/tble");
$table= <EL>;
close(EL);

$cats=~s/ /$table/g;

print "$cats";
print "</table>";
print "<br><b>Current Editalls:<br></b>\n";

open(EL, "$path_data/dirmod.gf");
$cats= <EL>;
close(EL);

print <<END;
<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="276"><tr><td width="600">
END

open(EL, "$path_data/pginfo/tble");
$table= <EL>;
close(EL);

$cats=~s/ /$table/g;

print "$cats";
print "</table>";
print "<br><b>Current Metas:<br></b>\n";

open(EL, "$path_data/dirman.gf");
$cats= <EL>;
close(EL);

print <<END;
<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="276"><tr><td width="600">
END

open(EL, "$path_data/pginfo/tble");
$table= <EL>;
close(EL);

$cats=~s/ /$table/g;

print "$cats";
print "</table>";
print "<br><b>Current Roots:<br></b>\n";

open(EL, "$path_data/root.gf");
$cats= <EL>;
close(EL);

print <<END;
<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="276"><tr><td width="600">
END

open(EL, "$path_data/pginfo/tble");
$table= <EL>;
close(EL);

$cats=~s/ /$table/g;

print "$cats";
print "</table>";

UI::writeScriptFooter();
