#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


#This is a script to edit files in a directory with.

use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;

my(@files, $path);

if ($isMeta eq "1") {
	opendir(DIR,"$path_web/docs");
	@files = readdir(DIR);
	closedir(DIR);

	$files[0] = "XXXX##XXXX";
	$files[1] = "XXXX##XXXX";

	UI::writeHeaderCode($TS::TS_edocs_title);

	print <<END;
<table border="1" cellspacing="1" style="border-collapse: collapse" bordercolor="#111111" width="160" id="AutoNumber3" align="right">
  <tr>
    <td width="160"><center><b>$TS::TS_edocs_currentfiles</b></center></td></tr><tr><td>
END

	chomp(@files);

	foreach (@files) {
		if ($_ eq "XXXX##XXXX") {
		} else {
			$path = "<b><a href=\"../docs/$_\">$_</a><br><font size=\"2\"></b>[<a href=\"edfile.cgi?file=$_\">$TS::TS_edocs_edit</a>] | [<a href=\"rmpage.cgi?file=$_\">$TS::TS_edocs_remove</a>] | [<a href=\"rename?ofile=$_\">$TS::TS_edocs_rename</a>]</font><br><br>\n";
			print $path;
		}
	}

	print <<END;
</td>
</tr>
<tr>
<td>
<form method="POST" action="newfile.cgi">
  <p>
  <b>$TS::TS_edocs_newfile</b><br>
  <input type="text" name="file" size="20"><br>
  <input type="submit" value="$TS::TS_common_create">
</form>
</td>
</tr>
</table>
<table border="1" cellspacing="1" style="border-collapse: collapse" bordercolor="#111111" width="230" id="AutoNumber2" align="left">
  <tr>
    <td width="100%"><b>$TS::TS_edocs_allfiles<br>http://open-site.org/docs/</b></td>
  </tr>
</table>
<br><br><br>

END
} else {
	print $TS::TS_common_noaccess;
}

UI::writeBackLink();
