#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Generate;
use Settings;
use Storage;
use TS;

my $cgi = new CGI;

my $submit = $cgi->param('submit');
my $cat = $cgi->param('cat');
my $val = $cgi->param('val');

$cat = Editor::testPrivs($cat);

if ($submit ne "") {
	UI::editRedirect();
}

UI::writeHeaderCode("$TS::TS_edtitle_name");
Editor::writeECode();

open(USERS, "$path_sitedata/items/titles/$cat.tlt");
my $users = <USERS>;
close(USERS);

if ($submit ne "") {
	open(TABLE, ">$path_sitedata/items/titles/$cat.tlt");
	print TABLE $val;
	close(TABLE);

	Generate::updatePublicSide($cat);
	Storage::logEdit("edit", "title", $cat, $val);

	print ("$TS::TS_edtitle_titlec");    
} else {
	open(TABLE, "$path_sitedata/items/titles/$cat.tlt");
	my $cont = <TABLE>;
	close(TABLE);

	$cont=~s/\"/&quot;/g;

	UI::writeScriptHeader($cat, $TS::TS_edtitle_name, $TS::TS_edtitle_info);

	UI::writeStartForm($cat);
	UI::writeInputItemForm($TS::TS_edtitle_title, "text", "val", $cont);
	UI::writeEndForm("", $TS::TS_common_submit);
}

UI::writeScriptFooter($cat);
