#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;
my $cmd = $cgi->param('cmd');
my $req = $cgi->param('req');

UI::writeHeaderCode("Feedback to Roots");
Editor::writeECode();
Editor::restrictedRoot();

if ($cmd eq "Delete") {
	unlink("$path_data/feedback/$req");
}

print "<h1>Feedback to Roots</h1><hr>\n";
   
opendir(DIR,"$path_data/feedback/");
my @edits = readdir(DIR);
closedir(DIR);

chomp(@edits);
foreach (@edits) {
	if ($_=~/.log/g) {
		open(TEXTFILE, "$path_data/feedback/$_");
		my @feedback = <TEXTFILE>;
		close(TEXTFILE);

		print <<END;
<table cellpadding="2" bgcolor="#CCCCCC" cellspacing="2" border="1">
  <tbody>
    <tr>
      <td valign="Top"><br>
      </td>
      <td valign="Top">$feedback[0]<br>
      </td>
    </tr>
    <tr>
      <td valign="Top">IP<br>
      </td>
      <td valign="Top">$feedback[1]<br>
      </td>
    </tr>
    <tr>
      <td valign="Top">Date/Time<br>
      </td>
      <td valign="Top">$feedback[2]<br>
      </td>
    </tr>
    <tr>
      <td valign="Top">Name<br>
      </td>
      <td valign="Top">$feedback[3]<br>
      </td>
    </tr>
    <tr>
      <td valign="Top">Email<br>
      </td>
      <td valign="Top">$feedback[4]<br>
      </td>
    </tr>
    <tr>
      <td valign="Top">Message<br>
      </td>
      <td valign="Top">
END
		my $x = 4;

		while ($x ne $#feedback) {
		        $x = $x + 1;
		        print "$feedback[$x] <br>\n"
		}

		print <<END;
<br>
      </td>
    </tr>
    <tr>
      <td valign="Top"><br>
      </td>
	<form method="POST" action="feedbackc.cgi">
	<input type="hidden" name="req" value="$_">
        <td valign="Top"><input type="submit" name="cmd" value="Delete">
	</form>
      </td>
    </tr>
  </tbody>
</table>
<br><br>
END
	}
}

UI::writeScriptFooter();
