#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;
my $qcmd = $cgi->param('cmd');

my($ook, $rlog, $data);

UI::writeHeaderCode("Note Log");
Editor::restrictedMeta();
Editor::restrictedRoot();

print "<br><h2><b>Code Edit Log (Last 20)<br></h2></b>\n";

print <<END;
<table border="1" id="AutoNumber1" cellpadding="2">
  <tr>
    <td bgcolor="#CCCCCC">meta</td>
    <td>date</td>
    <td>editor</td>
    <td>action</td>
    <td>comments</td>
  </tr>
END

my $rlog = `tail -20 $path_data/logs/codelog.log`;

opendir(DIR, "$path_data/misc/");
my @edits = readdir(DIR); 
closedir(DIR); 

chomp(@edits);
foreach (@edits) {
	$_=~s/.eaddr//g;
	$ook = " <a href=\"profile.cgi?editor=$_\">$_</a> ";
	$rlog=~s/ $_ /$ook/g;
}

opendir(DIR, "$path_sitedata");
my @edits = readdir(DIR); 
closedir(DIR); 

chomp(@edits);
foreach (@edits) {
	if ($_=~/.html/) {
		$_=~s/.html//g;
		$ook = " <a href=\"editcat.cgi?cat=$_\">$_</a> ";
		$rlog=~s/ $_ /$ook/g;
	}
}

print $rlog;
print "</table>";

$data = `tail 150 $path_data/logs/rootlog/rlog.log`;

#   print "$data";
#  print "</table> <br>";

#print <<END;
#<form method="POST" action="rootlog.cgi">
#<p><input type="submit" value="Clear Log" name="cmd">
print <<END;
<br></form>
END

UI::writeFooterCode();
