#!/usr/bin/perl -wT
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


#Code for adding users to the OD.

use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use Storage;
use TS;
use UI;

my $cgi = new CGI;
my $username = $cgi->param('usn');
my $password = $cgi->param('pass');
my $act = $cgi->param('action');	

UI::writeHeaderCode("Reset Password");
Editor::restrictedRoot();

my $users;

if (defined $act) {
	$username = Editor::validateEditor($username);

	$users = Storage::getData("global", "elist");
	if ($users=~/ $username /g) {
		Editor::setPassword($username, $password);
		print "Password changed.";
	} else {
		print "User not found.<br>";
		print <<END;
<b><a href="./">$TS::TS_common_back</a></b><br>\n
END
	}
} else {
	print <<END;
<font size="+2">Reset Password Tool</font><br>
<br>
<hr><form method="POST" action="resetpass.cgi">
<p><b>Username:</b>
<br><input type="text" name="usn" size="20">
<p>
<p><b>Password:</b>
<br><input type="text" name="pass" size="20">
<p><input type="submit" value="Change" name="action">
<br></form>
END
}

UI::writeScriptFooter();
