#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


#Code for inact login of users.

use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use Storage;
use TS;
use UI;

my $cgi = new CGI;

my $editor = $cgi->param('editor');
my $username = $cgi->param('usn');
my $act = $cgi->param('action');
my $reason = $cgi->param('reason');
my $currenteditor = Editor::currentUser();

my($lt, $lou);

UI::writeHeaderCode($TS::TS_rmuser_title);
Editor::writeECode();
Editor::restrictedMod();

if ($act eq "$TS::TS_rmuser_remove") {
	open(USERS, "$path_data/inlist");
	my $users = <USERS>;
	close(USERS);
	if ($users=~/ $username /) {
		print $TS::TS_rmuser_alrem;
	} else {
		if ($act eq "$TS::TS_rmuser_remove") {
			my $users = Storage::getData("global", "elist");
			my $rootlist = Storage::getData("global", "root.gf");
			my $metalist = Storage::getData("global", "dirman.gf");

			if ($rootlist=~/ $username /g) {
				print "$TS::TS_rmuser_norem<br>";
				UI::writeScriptFooter();
				exit();
			}

			if ($metalist=~/ $username /g)
		        {
		                print "$TS::TS_rmuser_norem<br>";
		                UI::writeScriptFooter();
		                exit();
		        }

		     	if ($users=~/ $username /) {
				open(USERS, "$path_data/elist");
				$users = <USERS>;
				close(USERS);
				if ($users=~/ $username /) {
					open(EL, "$path_data/elist");
					$lou = <EL>;
					$lou=~s/ $username / /g;
					close(EL);
					print "$TS::TS_rmuser_done<br>\n";
					open(EL, ">$path_data/elist");
					print EL "$lou";
					close(EL);
					open(EL2, ">>$path_data/inlist");
					print EL2 "$username ";
					close(EL2);

					Storage::logMetaEdit($username,$currenteditor,'removed',0,$reason,1);
				} else {
					print $TS::TS_rmuser_nse;
				} 
			} else {
				 print "$TS::TS_rmuser_nse / $TS::TS_rmuser_alrem";
			}
		}
	}
} else {
	print <<END;
<font size="+2">$TS::TS_rmuser_title</font>
<br>
<hr><form method="POST" action="rmuser.cgi">
<p><b>$TS::TS_common_editor:</b>
<br><input type="text" name="usn" value="$editor" size="20">
<p><b>$TS::TS_rmuser_reason:</b>
<br><input type="text" name="reason" size="38">
<p><input type="submit" value="$TS::TS_rmuser_remove" name="action">
<br></form>
END
}

UI::writeScriptFooter();
