#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

my $cgi = new CGI;
my $username = $cgi->param('usn');
my $reason = $cgi->param('reason');
my $cat = $cgi->param('cat');
my $act = $cgi->param('action');
my $lt = localtime;
my $editor = $username;

UI::writeHeaderCode("Public Note on Profile");
Editor::writeECode();
Editor::restrictedRoot();

if ($act eq "Add") {
	$username = Editor::validateEditor($username);

	open(TEXTFILE, ">>$path_data/logs/rootlog/areqeditlog.log");
	print TEXTFILE " ##!!## $username #!# ##!## $lt #!# ##!## $ENV{REMOTE_USER} #!# ##!## note #!# ##!!!## $reason ##!!!!## \n";
	close(TEXTFILE);

	print "Editor $username now has a note.<br>";
} else {
	print <<END;
<font size="5">Add Request Log Note</font><br>
This tool adds a note to an editors request log.<br>
<form method="POST" action="rnote.cgi">
  <p><b>Username:</b><br>
  <input type="text" name="usn" value="$editor" size="20"></p>
  <p><b>Note:</b><br>
  <textarea rows="5" name="reason" cols="60"></textarea></p> 
  <p><input type="submit" value="Add" name="action"></p>
</form>
END
}

UI::writeScriptFooter();
