#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use lib '.';
use Include;
use Editor;
use Settings;
use TS;
use UI;

UI::writeHeaderCode("Root Panel");
Editor::writeECode();
Editor::restrictedRoot();

print <<END;
<table border="0" cellspacing="1" style="border-collapse: collapse" bordercolor="#111111" width="703" id="AutoNumber5">
  <tr>
    <td width="273" valign="top">
    <table border="0" cellspacing="1" style="border-collapse: collapse" bordercolor="#111111" width="185" id="AutoNumber6" bgcolor="#A6CAF0">
      <tr>
    <td width="179" style="border-style: solid; border-width: 1" bgcolor="#000000">
    <font color="#FFFFFF"><b>Open Site Data</b></font></td>
      </tr>
      <tr><td><a href="editparams.cgi">Edit parameters</a></td></tr>
      <tr><td width="179">
    <a href="./editors.cgi">List All Editors</a></td>
      </tr>
    <tr><td width="179">
    <a href="./serverlogs.cgi">Server Access Logs</a></td>
      </tr>
    <tr><td width="179">
    <a href="./errorlog.cgi">Server Error Logs</a></td>
      </tr>
    </table>
    <p>&nbsp;</td>
    <td width="346" valign="top">
    <table border="0" cellspacing="1" style="border-collapse: collapse" bordercolor="#111111" width="183" id="AutoNumber8" bgcolor="#A6CAF0">
      <tr>
        <td width="177" bgcolor="#000000"><font color="#FFFFFF"><b>Permissions</b></font></td>
      </tr>
      <tr><td><a href="./editforum.cgi">Edit forums</a></td></tr>
      <tr>
    <td width="177">
    <a href="./grant.cgi">Grant SP</a></td>
      </tr>
      <tr>
    <td width="177">
    <a href="./revoke.cgi">Revoke SP</a></td>
      </tr>
      <tr>
    <td width="177">
    <a href="./editarea.cgi?priv=editall">Edit An Editall's Area</a></td>
      </tr>
    <td width="177">
    <a href="./editarea.cgi?priv=meta">Edit A Meta's Area</a></td>
      </tr>
      <tr>
    <td width="177">
    <a href="./rnote.cgi">Add Request Log Note</a></td>
      </tr>
      <tr>
    <td width="176">
    <a href="./rmuser.cgi">
    Inactivate User</a></td>
      </tr>
      </table>
    <p>&nbsp;</td>
    <td width="74">&nbsp;</td>
  </tr>
  <tr>
    <td width="273" valign="top">
    <table border="0" cellspacing="1" style="border-collapse: collapse" bordercolor="#111111" width="184" id="AutoNumber7" height="224" bgcolor="#A6CAF0">
      <tr>
    <td width="178" bgcolor="#000000" height="19"><font color="#FFFFFF"><b>Editing Data</b></font></td>
      </tr>
      <tr><td><a href="searchgen.cgi">Rebuild search index</a></td></tr>
      <tr>
    <td width="178" height="19"><a href="./rootnewcat.cgi">Create New Category</a></td>
      </tr>
      <tr>
    <td width="178" height="19"><a href="./rootdelcat.cgi">Delete Category</a></td>
      </tr>
      <tr>
    <td width="178" height="38"><a href="./ctlc.cgi">Edit Categories Editalls can Create/Rename/Delete in.</a></td>
      </tr>
      <tr>
    <td width="178" height="38"><a href="./edacceptletter.cgi">Edit NewApp Accept Letter</a></td>
      </tr>
      <tr>
    <td width="178" height="38"><a href="./eddeclineletter.cgi">Edit NewApp Decline Letter</a></td>
      </tr>
      <tr>
    <td width="178" height="19"><a href="./edguide.cgi">Edit Regular Guidelines</a></td>
      </tr>
      <tr>
    <td width="178" height="18"><a href="./ededitallguide.cgi">Edit Editall Guidelines</a></td>
      </tr>
      <tr>
    <td width="178" height="19"><a href="./edmetaguide.cgi">Edit Meta Guidelines</a></td>
      </tr>
      <tr>
    <td width="178" height="19"><a href="./edopencon.cgi">Edit Open Contract</a></td>
      </tr>
     <tr>
    <td width="178" height="19"><a href="./edhelp.cgi">Edit Help</a></td>
      </tr>
    </table>
    </td>
    <td width="346">
    <table border="0" cellspacing="1" style="border-collapse: collapse" bordercolor="#111111" width="182" id="AutoNumber9" bgcolor="#A6CAF0">
      <tr>
    <td width="176" bgcolor="#000000"><font color="#FFFFFF"><b>Root Editor Functions</b></font></td>
      </tr>
      <tr>
        <td width="176">
END

print "<a href=\"./feedbackc.cgi\">Check Root Mail</a>\n";

print <<END;
        </td>
      <tr>
    <td width="176">
    <a href="./resetpass.cgi">Reset an Editor's Password</a></td>
      </tr>
      <tr>
    <td width="176">
    <a href="./edmotd.cgi">MOTD</a></td>
      </tr>
      <tr>
    <td width="176">
    <a href="edhead.cgi">Edit Cat
    Header</a></td>
      </tr>
      <tr>
    <td width="176">
    <a href="./edfoot.cgi">Edit Cat
    Footer</a></td>
      </tr>
      <tr>
    <td width="176">
    <a href="./edmain.cgi">Edit
    Front Page</a></td>
      </tr>
     <td width="176">
    <a href="./edpro.cgi">Edit
    Editor Profile</a></td>
      </tr>
      <tr>
      <td width="176">
    <p align="left">
    <a href="./edwarn.cgi">Edit
    Editor Warning Log</a></td>
      </tr>
      </table>
    </td>
    <td width="74">&nbsp;</td>
  </tr>
  <tr>
    <td width="273">&nbsp;</td>
    <td width="346">&nbsp;</td>
    <td width="74">&nbsp;</td>
  </tr>
</table>
<p>
<br>
</p>
<hr>
END

UI::writeScriptFooter();

#This might be added in lated editions
#<p align="center"><a href="edculst.cgi">Edit Current User List</a></p>
#<p align="center"><a href="edinlst.cgi">Edit Inactivated User List</a></p>
#print "<hr>\n";
