#!/usr/bin/perl
#************************************************************************
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
#
# The Original Code is Open-site.
#
# The Initial Developer of the Original Code is Open-site.org Website.
#
# Portions created by Open-site.org are Copyright (C) 2002.
# All Rights Reserved.
#
#************************************************************************


use strict;
use CGI;

use Include;
use Settings;
use PTS;
use File::Copy;

my $cgi = new CGI;
my $code = $cgi->param('code');
my $app = $cgi->param('app');

open(EL, "$path_data/uncapps/$code.req");
my @REQ = <EL>;
close(EL);

#Strip new line from editor name in application data.
$REQ[1]=~s/\n//g;

my $cat = $REQ[0];
$cat=~s/\>/\//g;

PTS::writeHeader($PTS::TS_verifyapp_title);

if (($code) && ($app)) {
	if ($REQ[1] eq $app) {
		move("$path_data/uncapps/$code.req","$path_data/napps/$code.req");
		print "$PTS::TS_verifyapp_sub";
	} else {
		print "$PTS::TS_verifyapp_error";
	}
} else {
	print "$PTS::TS_verifyapp_noinfo";
}
